searchData={"content_type":"text/markdown","items":[{"doc":"Generates JSON documentation for Elixir projects\n\nThe ExDoc JSON formatter starts with some information at the top:","ref":"ExDoc.Formatter.JSON.html","title":"ExDoc.Formatter.JSON","type":"module"},{"doc":"* `about` - Indicates the version of the JSON structure format.\n* `name` - Project name\n* `version` - Project version\n* `description` - Project summary description\n* `homepage_url` - Specifies the project's home page\n* `language` - Identifies the primary language of the documents.\n* `icon` - Identifies the URL of the project's logo\n* `items` - This JSON object contains modules, exceptions, protocols,\n  Mix tasks, and extras details.","ref":"ExDoc.Formatter.JSON.html#module-top-level-information","title":"Top-level information - ExDoc.Formatter.JSON","type":"module"},{"doc":"Each component is an array that includes:\n\n* `module` - Module name\n* `title` - Module title\n* `source_doc` - Module documentation summary\n* `doc_line` - Line number where the module documentation starts\n* `source_path` - Path to the source code file in the project\n* `source_url` - URL to the source code\n* `type` - Specifies if the component is a module, exception, etc.\n\n#","ref":"ExDoc.Formatter.JSON.html#module-modules-exceptions-protocols-behaviours-and-mix-tasks","title":"Modules, Exceptions, Protocols, Behaviours, and Mix tasks - ExDoc.Formatter.JSON","type":"module"},{"doc":"* `arity`- Function arity\n* `defaults` - Default argument values\n* `source_doc` - Function documentation\n* `doc_line` - Line number where the module documentation starts\n* `source_path` - Path to the source code file in the project\n* `source_url` - URL to the source code\n* `signature` - Indicates the function signature\n* `annotations` - Show annotations","ref":"ExDoc.Formatter.JSON.html#module-function-callback-and-type-details","title":"Function, callback, and type details - ExDoc.Formatter.JSON","type":"module"},{"doc":"This JSON object include the following fields:\n\n* `id` - Identifier\n* `title` - Document title\n* `group` - Specifies the group\n* `source` - The document content in the source format\n* `source_path` - Path of the original document\n* `source_url` - URL of the original document","ref":"ExDoc.Formatter.JSON.html#module-extras","title":"Extras - ExDoc.Formatter.JSON","type":"module"},{"doc":"","ref":"ExDoc.Formatter.JSON.html#run/2","title":"ExDoc.Formatter.JSON.run/2","type":"function"},{"doc":"Structure that represents a *project*\n\nThis struct represents the top-level information of the generated JSON.","ref":"ExDocJSON.ProjectNode.html","title":"ExDocJSON.ProjectNode","type":"module"},{"doc":"* `about` - Indicates the version of the JSON structure format.\n* `name` - Project name\n* `version` - Project version\n* `description` - Project summary description\n* `homepage_url` - Specifies the project's home page\n* `language` - Identifies the primary language of the documents.\n* `icon` - Identifies the URL of the project's logo\n* `items` - This JSON object contains modules, exceptions, protocols,\n  Mix tasks, and extras details.","ref":"ExDocJSON.ProjectNode.html#module-fields","title":"Fields - ExDocJSON.ProjectNode","type":"module"},{"doc":"","ref":"ExDocJSON.ProjectNode.html#t:t/0","title":"ExDocJSON.ProjectNode.t/0","type":"type"},{"doc":"# ExDocJson\n\nThe `ExDoc.Formatter.JSON` formatter extends [ExDoc][] to generate JSON\ndocumentation for Elixir projects.","ref":"readme.html","title":"ExDocJson","type":"extras"},{"doc":"The package can be installed by adding `ex_doc_json` to your list of\ndependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:ex_doc_json, \"~> 0.1.0\", only: [:test, :dev], runtime: false}\n  ]\nend\n```","ref":"readme.html#installation","title":"Installation - ExDocJson","type":"extras"},{"doc":"In `mix.exs` add the formatters configuration:\n\n```elixir\ndef project do\n  [\n    app: :my_app,\n    version: \"0.1.0-dev\",\n    deps: deps(),\n\n    # Docs\n    docs: [\n      formatters: [\"html\", \"epub\", ExDoc.Formatter.JSON]\n    ]\n  ]\nend\n```\n\nOr you can usage the following command: `mix docs --formatter json`\n\nFurther documentation can be found at  .\n\n[ExDoc]: https://github.com/elixir-lang/ex_doc","ref":"readme.html#usage","title":"Usage - ExDocJson","type":"extras"}]}